For the complete documentation index, see llms.txt. This page is also available as Markdown.

MID/TID Generation

Operations to generate merchant and terminal IDs.

Generate a new Verifone Merchant ID based on Range

post

Generate a new Verifone Merchant ID based on range, which is configured in the Order Service configuration database.

Path parameters
rangeIdstringRequired

Range allocation to be performed from.

Example: verifone
Responses
201

MID Generated.

application/json

VFI Merchant ID allocated.

altVfiEntityIdstring · max: 30Required

A friendly ID associated with the merchant site/company. This will be visible/searchable in Verifone central. In many cases this will be the same value as merchantId.

This value is not guaranteed as globally unique within Verifone. That value is the entityUid (uuid) property that will be assigned on creation of the Entity and returned on the response..

Example: 1003933752Pattern: ^[a-zA-Z0-9]+$
post/entities/mid/{rangeId}

Generate a new Verifone Terminal ID based on Range

post

Generate a new Verifone Terminal ID based on range which is configured in the Order Service configuration database.

Path parameters
rangeIdstringRequired

Range allocation to be performed from.

Example: verifone
Responses
201

TID Generated

application/json

VFI Terminal ID allocated

altVfiPoiIdstring · max: 12Required

An alternative Verifone assigned identifier used for the POI within Verifone systems for transaction processing. This is also referred to as the Terminal ID (TID). This value maps to DE41 in ISO8583 specification. This identifier may also be used per contract if required.

This value is not guaranteed to be globally unique. The unique value is the internally assigned uuid - poiUid which is returned on the response.

Example: 1004631982
post/pois/tid/{rangeId}

Last updated

Was this helpful?